### prepend_t

Completion token type used to specify that the completion handler arguments should be passed additional values before the results of the operation.

    template<
        typename CompletionToken,
        typename... Values>
    class prepend_t

##### Member Functions

Name | Description
--- | ---
prepend_t [constructor] | Constructor.

##### Data Members

Name | Description
--- | ---
token_ |
values_ |

##### Requirements

Header: `asio/prepend.hpp`

Convenience header: `asio.hpp`